pkgmeek: trivial whitespace changes

extend the lookup table for compression modes
This commit is contained in:
John McQuah
2026-03-25 10:35:50 +00:00
parent 2f8c3124cf
commit 5e2d4c39d5

View File

@@ -121,7 +121,7 @@ check_pkg_mtime; pkg_utd=$?
[ "$pkg_utd" = 0 ] || [ "$PKGMK_FORCE" = "yes" ] || [ "$PKGMK_EXTRACT_ONLY" = "yes" ] \
|| [[ "$PKGMK_UPDATE_FOOTPRINT $PKGMK_CHECK_SIG $PKGMK_UPDATE_SIG" =~ yes ]] \
|| [ "$PKGMK_INSTALL" != "no" ] \
|| { info "$package is up to date, use '-f' to force a rebuild."; cleanup_work; exit 0; }
|| { info "Package '$pkg_dir$package' is up to date. Use '-f' to force a rebuild."; cleanup_work; exit 0; }
# Silence the progress report if the user never intended to proceed with unpacking
[ "$pkg_utd" = 1 ] || [[ "$PKGMK_CHECK_SIG $PKGMK_UPDATE_SIG" =~ yes ]] || \
@@ -212,7 +212,7 @@ if [ "$pkg_utd" = 0 ] || [[ "$PKGMK_FORCE $PKGMK_EXTRACT_ONLY" =~ yes ]]; then
|| { error "$pkg_dir$package not writable.";
cleanup_work; exit "$E_BUILD"; }
if (cd pkg; $BSDTAR -cf "$pkg_dir$package" -- *); then
info "Package creation successful."
info "Building '$pkg_dir$package' succeeded."
else
error "Unable to create the compressed package $package."
cleanup_work; exit "$E_BUILD"
@@ -387,7 +387,7 @@ check_reqvars () {
}
check_pkg_mtime() { # can be called even if some sources are missing
local li=0; local utd=0; local msg="$package is not up to date."
local li=0; local utd=0; local msg="Package '$pkg_dir$package' is not up to date."
if [ -f "$pkg_dir$package" ]; then
utd=1
@@ -402,7 +402,7 @@ check_pkg_mtime() { # can be called even if some sources are missing
utd=0
fi
[ $utd = 0 ] || msg="$package is up to date."
[ $utd = 0 ] || msg="Package '$pkg_dir$package' is up to date."
[ "$PKGMK_MTIME_ONLY" = "yes" ] && info "$msg"; return $utd
}